jQuery(document).ready(function(){
	jQuery('.trigger_play_video').click(function(e){
		e.preventDefault();
		var next_video_no = '';
		var last_video = jQuery(this).data('last_video');
		var video_order = jQuery(this).data('video_order');
		var video_type = jQuery(this).data('video_type');
		var video_id = jQuery(this).data('video_id');
		/* if(video_type == 'vimeo'){
			var iframe = '<iframe src="https://player.vimeo.com/video/'+video_id+'" width="1140" height="640" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>';
		}
		else if(video_type == 'youtube'){
			var iframe = '<iframe width="1140" height="640" src="https://www.youtube.com/embed/'+video_id+'" frameborder="0" allowfullscreen></iframe>';
		}
		else if(video_type == 'dropbox'){
			var iframe = '<video width="1140" height="640" controls controlsList="nodownload"><source src="https://dl.dropbox.com/s/'+video_id+'.mp4" type="video/mp4"></video>';
		}
		jQuery('.kurs_header_video').html(iframe);
		jQuery("html, body").animate({ scrollTop: 0 }, "slow"); */
		
		// update input_next_video
		if(last_video == 'no'){next_video_no = parseInt(video_order) + 1;}else{next_video_no = '1';}
		
		var url = window.location.href.split('?')[0]; 
		var url_to_load = url+'?vtype='+video_type+'&vid='+video_id+'&vorder='+video_order+'&vnext='+next_video_no;
		window.location.href = url_to_load;
		
	});
	
	jQuery(".trigger_module_video").on('click', function (e) {
		e.stopPropagation();
		if (!jQuery(e.target).hasClass('lecture__item__link__progress')) {
			var next_video_no = '';
			var last_video = jQuery(this).data('last_video');
			var video_order = jQuery(this).data('video_order');
			var video_type = jQuery(this).data('video_type');
			var video_id = jQuery(this).data('video_id');
			var module_id = jQuery(this).data('module_id');
			var video_poster = jQuery(this).data('video_poster');
			
			if(last_video == 'no'){next_video_no = parseInt(video_order) + 1;}else{next_video_no = '1';}
			//alert(video_type);
			var url = window.location.href.split('?')[0]; 
			if(video_poster != ''){
				var url_to_load = url+'?vtype='+video_type+'&vid='+video_id+'&mid='+module_id+'&vnext='+next_video_no+'&vposter='+video_poster;
			}
			else{
				var url_to_load = url+'?vtype='+video_type+'&vid='+video_id+'&mid='+module_id+'&vnext='+next_video_no;
			}
			window.location.href = url_to_load;
		}
	});
	
	jQuery('.next_video_trigger').click(function(e){
		e.preventDefault();
		var video_to_play = jQuery('#input_next_video').val();
		var video_to_play_a = jQuery(".mbr-editable-content").find("[data-video_order='" + video_to_play + "']");
		var video_type = jQuery(video_to_play_a).data('video_type');
		var video_id = jQuery(video_to_play_a).data('video_id');
		var last_video = jQuery(video_to_play_a).data('last_video');
		var video_order = jQuery(video_to_play_a).data('video_order');
		
		// update input_next_video
		if(last_video == 'no'){next_video_no = parseInt(video_order) + 1;}else{next_video_no = '1';}
		//jQuery('#input_next_video').val(next_video_no);
		
		var url = window.location.href.split('?')[0]; 
		var url_to_load = url+'?vtype='+video_type+'&vid='+video_id+'&vorder='+video_order+'&vnext='+next_video_no;
		window.location.href = url_to_load;
		
		
	});	
	
	jQuery('.default_play_btn a').click(function(e){
		e.preventDefault();
		
		var url = window.location.href; 
		var url_to_load = '';
		
		if (url.indexOf('?') == -1) {
		   // will not be triggered because str has ?..
		   url_to_load = url+'?vcookie=yes';
		}
		else{
			url_to_load = url+'&vcookie=yes';
		}
		window.location.href = url_to_load;
		//alert(url_to_load);
		
	});	
	
	jQuery('.next_module_video_trigger').click(function(e){
		e.preventDefault();
		var video_to_play = jQuery('#input_next_video').val();
		var video_to_play_a = jQuery(".mm_module_area").find("[data-video_order='" + video_to_play + "']");
		var video_type = jQuery(video_to_play_a).data('video_type');
		var video_id = jQuery(video_to_play_a).data('video_id');
		var last_video = jQuery(video_to_play_a).data('last_video');
		var video_order = jQuery(video_to_play_a).data('video_order');
		var module_id = jQuery(video_to_play_a).data('module_id');
		var video_poster = jQuery(video_to_play_a).data('video_poster');
		
		// update input_next_video
		if(last_video == 'no'){next_video_no = parseInt(video_order) + 1;}else{next_video_no = '1';}
		//jQuery('#input_next_video').val(next_video_no);
		
		var url = window.location.href.split('?')[0]; 
		if(video_poster != ''){
			var url_to_load = url+'?vtype='+video_type+'&vid='+video_id+'&mid='+module_id+'&vnext='+next_video_no+'&vposter='+video_poster;
		}
		else{
			var url_to_load = url+'?vtype='+video_type+'&vid='+video_id+'&mid='+module_id+'&vnext='+next_video_no;
		}
		window.location.href = url_to_load;
	});	
	
	plyr.setup();
	
	jQuery('.lecture__item__link__progress').click(function(e){
		e.preventDefault();
		var self = jQuery(this);
		var user_id = jQuery(this).data('user_id');
		var module_id = jQuery(this).data('module_id');
		var video_unqid = jQuery(this).data('video_unqid');
		var user_video_state = jQuery(this).closest('.lecture__item').addClass('loading disabled').find('input').val();
		if(user_video_state == 'unchecked'){
			var update_action = 'check';
		}
		else{
			var update_action = 'uncheck';
		}
		var data = {
		   action: 'update_user_module_video',
		   cache: false,
		   user_id: user_id,
		   module_id:module_id,
		   update_action:update_action,
		   video_unqid:video_unqid
		};
	  
		jQuery.post(ajaxurl, data, function(response) {
			jQuery(self).closest('.lecture__item').removeClass('loading disabled');
			if(update_action == 'check'){
				var watched_video_count = jQuery(self).closest('.panel-default').find('.watched_video_count').text();
				var updated_count = parseInt(watched_video_count) + 1;
				jQuery(self).closest('.panel-default').find('.watched_video_count').text(updated_count);
				jQuery(self).closest('.lecture__item').addClass('completed');
				jQuery(self).closest('.lecture__item').find('input').val('checked');
			}
			else{
				var watched_video_count = jQuery(self).closest('.panel-default').find('.watched_video_count').text();
				var updated_count = parseInt(watched_video_count) - 1;
				jQuery(self).closest('.panel-default').find('.watched_video_count').text(updated_count);
				jQuery(self).closest('.lecture__item').removeClass('completed');
				jQuery(self).closest('.lecture__item').find('input').val('unchecked');
			}
		});
		
		return false;
	});
	
	if (jQuery("body").height() < jQuery(window).height()) {
        jQuery('body').find('footer').addClass('fixed_footer');
    }
});