<?php
/*
 * The Default Page Template
 */

get_header(); ?>

<?php while ( have_posts() ) : the_post(); 
	$users_bought = get_post_meta( $post->ID, 'users_bought', true );
	$btn_kurs_color = get_post_meta( $post->ID, 'btn_kurs_color', true );
	$btn_kurs_hover_color = get_post_meta( $post->ID, 'btn_kurs_hover_color', true );
	$btn_style = '';
	if($btn_kurs_color != '') $btn_style .= '.single_course_links .btn-primary {background-color: '.$btn_kurs_color.'; border-color: '.$btn_kurs_color.';}';
	if($btn_kurs_hover_color != '') $btn_style .= '.single_course_links .btn-primary:hover {background-color: '.$btn_kurs_hover_color.'; border-color: '.$btn_kurs_hover_color.';}';
	if($btn_kurs_color != '') $btn_style .= '.next_video_div .btn-primary {background-color: '.$btn_kurs_color.'; border-color: '.$btn_kurs_color.';}';
	if($btn_kurs_hover_color != '') $btn_style .= '.next_video_div .btn-primary:hover {background-color: '.$btn_kurs_hover_color.'; border-color: '.$btn_kurs_hover_color.';}';
	echo '<style type="text/css">'.$btn_style.'</style>';
	
	if(is_user_logged_in()){
		$course_bought = get_user_meta( get_current_user_id(), 'course_bought', true );
	}
	else{
		$course_bought = array();
	}
	$course_prod_id = get_post_meta( $post->ID, 'course_prod_id', true );
	if(is_user_logged_in() && current_user_can('administrator') || $course_prod_id == ''){
		$course_layout_type = get_post_meta( $post->ID, 'course_layout_type', true );
		if($course_layout_type == 'simple'){
			?>
			<section id="page-<?php the_ID(); ?>" class="default_video_simple_layout">
				<div class="container">
					<div class="card">
						<?php
							$course_videos = get_post_meta( $post->ID, 'course_videos', true );
							$total_videos = count($course_videos);
							if(!empty($course_videos)){
								$main_video_arr = explode('|||', $course_videos[0]);
								$main_video_id = $main_video_arr['2'];
								$main_video_type = $main_video_arr['3'];
								$main_video_poster = isset($main_video_arr['4']) ? $main_video_arr['4'] : '';
								
								if(isset($_GET['vtype']) && $_GET['vtype'] != ''){
									if(isset($_GET['vorder'])){
										$order = $_GET['vorder'] - 1;
										$main_get_video_arr = explode('|||', $course_videos[$order]);
										$main_video_poster = isset($main_get_video_arr['4']) ? $main_get_video_arr['4'] : '';
									}
									else{
										$main_video_poster = '';
									}
									
									if($_GET['vtype'] == 'vimeo'){
										if(isset($_GET['vid']) && $_GET['vid'] != '' ) $main_video_id = $_GET['vid'];
									?>
									<div class="kurs_header_video">
									<?php 
										if(isset($_GET['vcookie']) && $_GET['vcookie'] == 'yes' ){
									?>
										<!--<div data-type="vimeo" data-video-id="<?php echo $main_video_id;?>"></div>-->
										<div class="plyr__video-embed" id="player">
											<iframe src="https://player.vimeo.com/video/<?php echo $main_video_id;?>?loop=false&amp;byline=false&amp;portrait=false&amp;title=false&amp;speed=true&amp;transparent=0&amp;gesture=media" allowfullscreen allowtransparency allow="autoplay"></iframe>
										</div>
									<?php
										}else{
									?>	
										<div class="kurs_header_without_cookie">
											<?php if($main_video_poster != ""){ ?>
											<img src="<?php echo $main_video_poster;?>" alt="" />
											<?php }else{?>
											<img src="<?php echo MMPY_PLUGIN_URL.'/img/default-poster-image.png';?>" alt="" />
											<?php }?>
											<div class="default_text_warning">
												<p class="default_play_btn"><a href="#"><img src="<?php echo MMPY_PLUGIN_URL.'/img/default-play-btn.png';?>" alt="Play" /></a></p>
												<p>Klicken Sie auf den Play-Button um das Video nachzuladen.</p>
												<p>Das Video wird eingebettet von Vimeo.com abgespielt. Es werden Cookies von Vimeo gesetzt. </p>
												<p>Mehr zu den Cookies in der <a target="_blank" href="https://vimeo.com/privacy">Privacy Policy</a> von Vimeo und der <a target="_blank" href="<?php echo site_url();?>/datenschutz/">Datenschutzerklärung</a> auf dieser Seite.</p>
											</div>
										</div>
									<?php }?>	
									</div>
									<?php 
									}elseif($_GET['vtype'] == 'youtube'){
										if(isset($_GET['vid']) && $_GET['vid'] != '' ) $main_video_id = $_GET['vid'];
									?>
									<div class="kurs_header_video">
									<?php 
										if(isset($_GET['vcookie']) && $_GET['vcookie'] == 'yes' ){
									?>
										<!--<div data-type="youtube" data-video-id="<?php echo $main_video_id;?>"></div>-->
										<div class="plyr__video-embed" id="player">
											<iframe src="https://www.youtube.com/embed/<?php echo $main_video_id;?>?origin=https://plyr.io&amp;iv_load_policy=3&amp;modestbranding=1&amp;playsinline=1&amp;showinfo=0&amp;rel=0&amp;enablejsapi=1" allowtransparency allow="autoplay"></iframe>
										</div>
									<?php
										}else{
									?>	
										<div class="kurs_header_without_cookie">
											<?php if($main_video_poster != ""){ ?>
											<img src="<?php echo $main_video_poster;?>" alt="" />
											<?php }else{?>
											<img src="<?php echo MMPY_PLUGIN_URL.'/img/default-poster-image.png';?>" alt="" />
											<?php }?>
											<div class="default_text_warning">
												<p class="default_play_btn"><a href="#"><img src="<?php echo MMPY_PLUGIN_URL.'/img/default-play-btn.png';?>" alt="Play" /></a></p>
												<p>Klicken Sie auf den Play-Button um das Video nachzuladen.</p>
												<p>Das Video wird eingebettet von YouTube.com abgespielt. Es werden Cookies von YouTube gesetzt.</p>
												<p>Mehr zu den Cookies in der <a target="_blank" href="https://www.google.de/intl/de/policies/privacy">Privacy Policy</a> von YouTube und der <a target="_blank" href="<?php echo site_url();?>/datenschutz/">Datenschutzerklärung</a> auf dieser Seite.</p>
											</div>
										</div>	
									<?php }?>	
									</div>	
									<?php	
									}elseif($_GET['vtype'] == 'dropbox'){
										if(isset($_GET['vid']) && $_GET['vid'] != '' ) $main_video_id = $_GET['vid'];
									?>
									<div class="kurs_header_video">
									<?php 
										if(isset($_GET['vcookie']) && $_GET['vcookie'] == 'yes' ){
									?>
										<video id="player" playsinline controls crossorigin>
											<source src="https://dl.dropbox.com/s/<?php echo $main_video_id;?>.mp4" type="video/mp4">
										</video>
									<?php
										}else{
									?>	
										<div class="kurs_header_without_cookie">
											<?php if($main_video_poster != ""){ ?>
											<img src="<?php echo $main_video_poster;?>" alt="" />
											<?php }else{?>
											<img src="<?php echo MMPY_PLUGIN_URL.'/img/default-poster-image.png';?>" alt="" />
											<?php }?>
											<div class="default_text_warning">
												<p class="default_play_btn"><a href="#"><img src="<?php echo MMPY_PLUGIN_URL.'/img/default-play-btn.png';?>" alt="Play" /></a></p>
											</div>
										</div>	
									<?php }?>	
									</div>	
								<?php
									}
								}
								else{
									if($main_video_type == 'vimeo'){
									?>
									<div class="kurs_header_video">
									<?php 
										if(isset($_GET['vcookie']) && $_GET['vcookie'] == 'yes' ){
									?>
										<!--<div data-type="vimeo" data-video-id="<?php echo $main_video_id;?>"></div>-->
										<div class="plyr__video-embed" id="player">
											<iframe src="https://player.vimeo.com/video/<?php echo $main_video_id;?>?loop=false&amp;byline=false&amp;portrait=false&amp;title=false&amp;speed=true&amp;transparent=0&amp;gesture=media" allowfullscreen allowtransparency allow="autoplay"></iframe>
										</div>
									<?php
										}else{
									?>	
										<div class="kurs_header_without_cookie">
											<?php if($main_video_poster != ""){ ?>
											<img src="<?php echo $main_video_poster;?>" alt="" />
											<?php }else{?>
											<img src="<?php echo MMPY_PLUGIN_URL.'/img/default-poster-image.png';?>" alt="" />
											<?php }?>
											<div class="default_text_warning">
												<p class="default_play_btn"><a href="#"><img src="<?php echo MMPY_PLUGIN_URL.'/img/default-play-btn.png';?>" alt="Play" /></a></p>
												<p>Klicken Sie auf den Play-Button um das Video nachzuladen.</p>
												<p>Das Video wird eingebettet von Vimeo.com abgespielt. Es werden Cookies von Vimeo gesetzt. </p>
												<p>Mehr zu den Cookies in der <a target="_blank" href="https://vimeo.com/privacy">Privacy Policy</a> von Vimeo und der <a target="_blank" href="<?php echo site_url();?>/datenschutz/">Datenschutzerklärung</a> auf dieser Seite.</p>
											</div>
										</div>
									<?php }?>	
									</div>
									<?php 
									}elseif($main_video_type == 'youtube'){
									?>
									<div class="kurs_header_video">
									<?php 
										if(isset($_GET['vcookie']) && $_GET['vcookie'] == 'yes' ){
									?>
										<!--<div data-type="youtube" data-video-id="<?php echo $main_video_id;?>"></div>-->
										<div class="plyr__video-embed" id="player">
											<iframe src="https://www.youtube.com/embed/<?php echo $main_video_id;?>?origin=https://plyr.io&amp;iv_load_policy=3&amp;modestbranding=1&amp;playsinline=1&amp;showinfo=0&amp;rel=0&amp;enablejsapi=1" allowtransparency allow="autoplay"></iframe>
										</div>
									<?php
										}else{
									?>	
										<div class="kurs_header_without_cookie">
											<?php if($main_video_poster != ""){ ?>
											<img src="<?php echo $main_video_poster;?>" alt="" />
											<?php }else{?>
											<img src="<?php echo MMPY_PLUGIN_URL.'/img/default-poster-image.png';?>" alt="" />
											<?php }?>
											<div class="default_text_warning">
												<p class="default_play_btn"><a href="#"><img src="<?php echo MMPY_PLUGIN_URL.'/img/default-play-btn.png';?>" alt="Play" /></a></p>
												<p>Klicken Sie auf den Play-Button um das Video nachzuladen.</p>
												<p>Das Video wird eingebettet von YouTube.com abgespielt. Es werden Cookies von YouTube gesetzt.</p>
												<p>Mehr zu den Cookies in der <a target="_blank" href="https://www.google.de/intl/de/policies/privacy">Privacy Policy</a> von YouTube und der <a target="_blank" href="<?php echo site_url();?>/datenschutz/">Datenschutzerklärung</a> auf dieser Seite.</p>
											</div>
										</div>	
									<?php }?>	
									</div>
									<?php	
									}elseif($main_video_type == 'dropbox'){
									?>
									<div class="kurs_header_video">
									<?php 
										if(isset($_GET['vcookie']) && $_GET['vcookie'] == 'yes' ){
									?>
										<video id="player" playsinline controls crossorigin>
											<source src="https://dl.dropbox.com/s/<?php echo $main_video_id;?>.mp4" type="video/mp4">
										</video>
									<?php
										}else{
									?>	
										<div class="kurs_header_without_cookie">
											<?php if($main_video_poster != ""){ ?>
											<img src="<?php echo $main_video_poster;?>" alt="" />
											<?php }else{?>
											<img src="<?php echo MMPY_PLUGIN_URL.'/img/default-poster-image.png';?>" alt="" />
											<?php }?>
											<div class="default_text_warning">
												<p class="default_play_btn"><a href="#"><img src="<?php echo MMPY_PLUGIN_URL.'/img/default-play-btn.png';?>" alt="Play" /></a></p>
											</div>
										</div>	
									<?php }?>	
									</div>	
								<?php
									}
								}
								
							}
							
							if($total_videos > 1){
						?>
						<div class="next_video_div"><a href="#" data-next_video="2" class="next_video_trigger btn btn-primary">Nächstes Video</a></div>
							<?php
								$next_video = '2';
								if(isset($_GET['vnext']) && $_GET['vnext'] != '' ) $next_video = $_GET['vnext'];
							?>
							<input type="hidden" id="input_next_video" value="<?php echo $next_video;?>" />
						<?php }?>
						<div class="card-block">
							<?php
								$course_ex_headline = get_post_meta( $post->ID, 'course_ex_headline', true );
								$course_ex_desc = get_post_meta( $post->ID, 'course_ex_desc', true );
							?>
							<!--<h4 class="card-title"><?php echo $course_ex_headline;?></h4>
							<p class="card-text"><?php echo $course_ex_desc;?></p>-->
							<?php
								$course_links = get_post_meta( $post->ID, 'course_links', true );
								if(!empty($course_links)){
									echo '<div class="single_course_links">';
									foreach($course_links as $key=>$val){
										$course_link_arr = explode('|||', $val);
										$course_link_text = $course_link_arr['0'];
										$course_link_url = $course_link_arr['1'];
										echo '<a target="_blank" class="btn btn-primary" href="'.$course_link_url.'">'.$course_link_text.'</a>';
									}
									echo '</div>';
								}
								
							?>
						</div>
						<?php
							if(!empty($course_videos)){
						?>
						<table class="table mbr-editable-content" cellspacing="0" width="100%">
							<thead>
								<tr>
									<th><?php _e('Nr.', 'membermambo');?></th>
									<th><?php _e('Title', 'membermambo');?></th>
									<th><?php _e('Dauer', 'membermambo');?></th>
									<th><?php _e('Play', 'membermambo');?></th>
								</tr>
							</thead>
							<tbody>
								<?php
									$vidoe_no = 1;
									foreach($course_videos as $key=>$val){
										$course_video_arr = explode('|||', $val);
										$course_video_title = $course_video_arr['0'];
										$course_video_duration = $course_video_arr['1'];
										$course_video_id = $course_video_arr['2'];
										$course_video_type = $course_video_arr['3'];
										
										if($total_videos == $vidoe_no){ $last_video = 'yes';}else{ $last_video = 'no';}
								?>
								<tr>
									<td><?php echo $vidoe_no;?></td>
									<td><?php echo $course_video_title;?></td>
									<td><?php echo $course_video_duration;?></td>
									<td><a class="trigger_play_video" data-last_video="<?php echo $last_video;?>" data-video_order="<?php echo $vidoe_no;?>" data-video_id="<?php echo $course_video_id;?>" data-video_type="<?php echo $course_video_type;?>" href="#"><i class="fa fa-play-circle-o fa-lg" aria-hidden="true"></i></a></td>
								</tr>
								<?php $vidoe_no++; }?>
							</tbody>
						</table>
						<?php }?>
					</div>
				</div>
			</section>
			<?php
		}
		elseif($course_layout_type == 'module'){
			include('kurs-module.php');
		}
		elseif($course_layout_type == 'file'){
			include('kurs-file.php');
		}
	
	}
	else{
		if ( isset($course_bought) && !empty($course_bought) && is_user_logged_in() && in_array($post->ID, $course_bought)){
		$course_layout_type = get_post_meta( $post->ID, 'course_layout_type', true );
		if($course_layout_type == 'simple'){
			?>
			<section id="page-<?php the_ID(); ?>" class="default_video_simple_layout">
				<div class="container">
					<div class="card">
						<?php
							$course_videos = get_post_meta( $post->ID, 'course_videos', true );
							$total_videos = count($course_videos);
							if(!empty($course_videos)){
								$main_video_arr = explode('|||', $course_videos[0]);
								$main_video_id = $main_video_arr['2'];
								$main_video_type = $main_video_arr['3'];
								$main_video_poster = isset($main_video_arr['4']) ? $main_video_arr['4'] : '';
								
								if(isset($_GET['vtype']) && $_GET['vtype'] != ''){
									if(isset($_GET['vorder'])){
										$order = $_GET['vorder'] - 1;
										$main_get_video_arr = explode('|||', $course_videos[$order]);
										$main_video_poster = isset($main_get_video_arr['4']) ? $main_get_video_arr['4'] : '';
									}
									else{
										$main_video_poster = '';
									}
									
									if($_GET['vtype'] == 'vimeo'){
										if(isset($_GET['vid']) && $_GET['vid'] != '' ) $main_video_id = $_GET['vid'];
									?>
									<div class="kurs_header_video">
									<?php 
										if(isset($_GET['vcookie']) && $_GET['vcookie'] == 'yes' ){
									?>
										<div class="plyr__video-embed" id="player">
											<iframe src="https://player.vimeo.com/video/<?php echo $main_video_id;?>?loop=false&amp;byline=false&amp;portrait=false&amp;title=false&amp;speed=true&amp;transparent=0&amp;gesture=media" allowfullscreen allowtransparency allow="autoplay"></iframe>
										</div>
									<?php
										}else{
									?>	
										<div class="kurs_header_without_cookie">
											<?php if($main_video_poster != ""){ ?>
											<img src="<?php echo $main_video_poster;?>" alt="" />
											<?php }else{?>
											<img src="<?php echo MMPY_PLUGIN_URL.'/img/default-poster-image.png';?>" alt="" />
											<?php }?>
											<div class="default_text_warning">
												<p class="default_play_btn"><a href="#"><img src="<?php echo MMPY_PLUGIN_URL.'/img/default-play-btn.png';?>" alt="Play" /></a></p>
												<p>Klicken Sie auf den Play-Button um das Video nachzuladen.</p>
												<p>Das Video wird eingebettet von Vimeo.com abgespielt. Es werden Cookies von Vimeo gesetzt. </p>
												<p>Mehr zu den Cookies in der <a target="_blank" href="https://vimeo.com/privacy">Privacy Policy</a> von Vimeo und der <a target="_blank" href="<?php echo site_url();?>/datenschutz/">Datenschutzerklärung</a> auf dieser Seite.</p>
											</div>
										</div>
									<?php }?>	
									</div>
									<?php 
									}elseif($_GET['vtype'] == 'youtube'){
										if(isset($_GET['vid']) && $_GET['vid'] != '' ) $main_video_id = $_GET['vid'];
									?>
									<div class="kurs_header_video">
									<?php 
										if(isset($_GET['vcookie']) && $_GET['vcookie'] == 'yes' ){
									?>
										<div class="plyr__video-embed" id="player">
											<iframe src="https://www.youtube.com/embed/<?php echo $main_video_id;?>?origin=https://plyr.io&amp;iv_load_policy=3&amp;modestbranding=1&amp;playsinline=1&amp;showinfo=0&amp;rel=0&amp;enablejsapi=1" allowtransparency allow="autoplay"></iframe>
										</div>
									<?php
										}else{
									?>	
										<div class="kurs_header_without_cookie">
											<?php if($main_video_poster != ""){ ?>
											<img src="<?php echo $main_video_poster;?>" alt="" />
											<?php }else{?>
											<img src="<?php echo MMPY_PLUGIN_URL.'/img/default-poster-image.png';?>" alt="" />
											<?php }?>
											<div class="default_text_warning">
												<p class="default_play_btn"><a href="#"><img src="<?php echo MMPY_PLUGIN_URL.'/img/default-play-btn.png';?>" alt="Play" /></a></p>
												<p>Klicken Sie auf den Play-Button um das Video nachzuladen.</p>
												<p>Das Video wird eingebettet von YouTube.com abgespielt. Es werden Cookies von YouTube gesetzt.</p>
												<p>Mehr zu den Cookies in der <a target="_blank" href="https://www.google.de/intl/de/policies/privacy">Privacy Policy</a> von YouTube und der <a target="_blank" href="<?php echo site_url();?>/datenschutz/">Datenschutzerklärung</a> auf dieser Seite.</p>
											</div>
										</div>	
									<?php }?>	
									</div>
									<?php	
									}elseif($_GET['vtype'] == 'dropbox'){
										if(isset($_GET['vid']) && $_GET['vid'] != '' ) $main_video_id = $_GET['vid'];
									?>
									<div class="kurs_header_video">
									<?php 
										if(isset($_GET['vcookie']) && $_GET['vcookie'] == 'yes' ){
									?>
										<video id="player" playsinline controls crossorigin>
											<source src="https://dl.dropbox.com/s/<?php echo $main_video_id;?>.mp4" type="video/mp4">
										</video>
									<?php
										}else{
									?>	
										<div class="kurs_header_without_cookie">
											<?php if($main_video_poster != ""){ ?>
											<img src="<?php echo $main_video_poster;?>" alt="" />
											<?php }else{?>
											<img src="<?php echo MMPY_PLUGIN_URL.'/img/default-poster-image.png';?>" alt="" />
											<?php }?>
											<div class="default_text_warning">
												<p class="default_play_btn"><a href="#"><img src="<?php echo MMPY_PLUGIN_URL.'/img/default-play-btn.png';?>" alt="Play" /></a></p>
											</div>
										</div>	
									<?php }?>	
									</div>	
								<?php
									}
								}
								else{
									if($main_video_type == 'vimeo'){
									?>
									<div class="kurs_header_video">
									<?php 
										if(isset($_GET['vcookie']) && $_GET['vcookie'] == 'yes' ){
									?>
										<div class="plyr__video-embed" id="player">
											<iframe src="https://player.vimeo.com/video/<?php echo $main_video_id;?>?loop=false&amp;byline=false&amp;portrait=false&amp;title=false&amp;speed=true&amp;transparent=0&amp;gesture=media" allowfullscreen allowtransparency allow="autoplay"></iframe>
										</div>
									<?php
										}else{
									?>	
										<div class="kurs_header_without_cookie">
											<?php if($main_video_poster != ""){ ?>
											<img src="<?php echo $main_video_poster;?>" alt="" />
											<?php }else{?>
											<img src="<?php echo MMPY_PLUGIN_URL.'/img/default-poster-image.png';?>" alt="" />
											<?php }?>
											<div class="default_text_warning">
												<p class="default_play_btn"><a href="#"><img src="<?php echo MMPY_PLUGIN_URL.'/img/default-play-btn.png';?>" alt="Play" /></a></p>
												<p>Klicken Sie auf den Play-Button um das Video nachzuladen.</p>
												<p>Das Video wird eingebettet von Vimeo.com abgespielt. Es werden Cookies von Vimeo gesetzt. </p>
												<p>Mehr zu den Cookies in der <a target="_blank" href="https://vimeo.com/privacy">Privacy Policy</a> von Vimeo und der <a target="_blank" href="<?php echo site_url();?>/datenschutz/">Datenschutzerklärung</a> auf dieser Seite.</p>
											</div>
										</div>
									<?php }?>	
									</div>
									<?php 
									}elseif($main_video_type == 'youtube'){
									?>
									<div class="kurs_header_video">
									<?php 
										if(isset($_GET['vcookie']) && $_GET['vcookie'] == 'yes' ){
									?>
										<div class="plyr__video-embed" id="player">
											<iframe src="https://www.youtube.com/embed/<?php echo $main_video_id;?>?origin=https://plyr.io&amp;iv_load_policy=3&amp;modestbranding=1&amp;playsinline=1&amp;showinfo=0&amp;rel=0&amp;enablejsapi=1" allowtransparency allow="autoplay"></iframe>
										</div>
									<?php
										}else{
									?>	
										<div class="kurs_header_without_cookie">
											<?php if($main_video_poster != ""){ ?>
											<img src="<?php echo $main_video_poster;?>" alt="" />
											<?php }else{?>
											<img src="<?php echo MMPY_PLUGIN_URL.'/img/default-poster-image.png';?>" alt="" />
											<?php }?>
											<div class="default_text_warning">
												<p class="default_play_btn"><a href="#"><img src="<?php echo MMPY_PLUGIN_URL.'/img/default-play-btn.png';?>" alt="Play" /></a></p>
												<p>Klicken Sie auf den Play-Button um das Video nachzuladen.</p>
												<p>Das Video wird eingebettet von YouTube.com abgespielt. Es werden Cookies von YouTube gesetzt.</p>
												<p>Mehr zu den Cookies in der <a target="_blank" href="https://www.google.de/intl/de/policies/privacy">Privacy Policy</a> von YouTube und der <a target="_blank" href="<?php echo site_url();?>/datenschutz/">Datenschutzerklärung</a> auf dieser Seite.</p>
											</div>
										</div>	
									<?php }?>	
									</div>
									<?php	
									}elseif($main_video_type == 'dropbox'){
									?>
									<div class="kurs_header_video">
									<?php 
										if(isset($_GET['vcookie']) && $_GET['vcookie'] == 'yes' ){
									?>
										<video id="player" playsinline controls crossorigin>
											<source src="https://dl.dropbox.com/s/<?php echo $main_video_id;?>.mp4" type="video/mp4">
										</video>
									<?php
										}else{
									?>	
										<div class="kurs_header_without_cookie">
											<?php if($main_video_poster != ""){ ?>
											<img src="<?php echo $main_video_poster;?>" alt="" />
											<?php }else{?>
											<img src="<?php echo MMPY_PLUGIN_URL.'/img/default-poster-image.png';?>" alt="" />
											<?php }?>
											<div class="default_text_warning">
												<p class="default_play_btn"><a href="#"><img src="<?php echo MMPY_PLUGIN_URL.'/img/default-play-btn.png';?>" alt="Play" /></a></p>
											</div>
										</div>	
									<?php }?>	
									</div>	
								<?php
									}
								}
								
							}
							
							if($total_videos > 1){
						?>
						<div class="next_video_div"><a href="#" data-next_video="2" class="next_video_trigger btn btn-primary">Nächstes Video</a></div>
							<?php
								$next_video = '2';
								if(isset($_GET['vnext']) && $_GET['vnext'] != '' ) $next_video = $_GET['vnext'];
							?>
							<input type="hidden" id="input_next_video" value="<?php echo $next_video;?>" />
						<?php }?>
						<div class="card-block">
							<?php
								$course_ex_headline = get_post_meta( $post->ID, 'course_ex_headline', true );
								$course_ex_desc = get_post_meta( $post->ID, 'course_ex_desc', true );
							?>
							<!--<h4 class="card-title"><?php echo $course_ex_headline;?></h4>
							<p class="card-text"><?php echo $course_ex_desc;?></p>-->
							<?php
								$course_links = get_post_meta( $post->ID, 'course_links', true );
								if(!empty($course_links)){
									echo '<div class="single_course_links">';
									foreach($course_links as $key=>$val){
										$course_link_arr = explode('|||', $val);
										$course_link_text = $course_link_arr['0'];
										$course_link_url = $course_link_arr['1'];
										echo '<a target="_blank" class="btn btn-primary" href="'.$course_link_url.'">'.$course_link_text.'</a>';
									}
									echo '</div>';
								}
								
							?>
						</div>
						<?php
							if(!empty($course_videos)){
						?>
						<table class="table mbr-editable-content" cellspacing="0" width="100%">
							<thead>
								<tr>
									<th><?php _e('Nr.', 'membermambo');?></th>
									<th><?php _e('Title', 'membermambo');?></th>
									<th><?php _e('Dauer', 'membermambo');?></th>
									<th><?php _e('Play', 'membermambo');?></th>
								</tr>
							</thead>
							<tbody>
								<?php
									$vidoe_no = 1;
									foreach($course_videos as $key=>$val){
										$course_video_arr = explode('|||', $val);
										$course_video_title = $course_video_arr['0'];
										$course_video_duration = $course_video_arr['1'];
										$course_video_id = $course_video_arr['2'];
										$course_video_type = $course_video_arr['3'];
										
										if($total_videos == $vidoe_no){ $last_video = 'yes';}else{ $last_video = 'no';}
								?>
								<tr>
									<td><?php echo $vidoe_no;?></td>
									<td><?php echo $course_video_title;?></td>
									<td><?php echo $course_video_duration;?></td>
									<td><a class="trigger_play_video" data-last_video="<?php echo $last_video;?>" data-video_order="<?php echo $vidoe_no;?>" data-video_id="<?php echo $course_video_id;?>" data-video_type="<?php echo $course_video_type;?>" href="#"><i class="fa fa-play-circle-o fa-lg" aria-hidden="true"></i></a></td>
								</tr>
								<?php $vidoe_no++; }?>
							</tbody>
						</table>
						<?php }?>
					</div>
				</div>
			</section>
			<?php
		}
		elseif($course_layout_type == 'module'){
			include('kurs-module.php');
		}
		elseif($course_layout_type == 'file'){
			include('kurs-file.php');
		}
		
	} else{ ?>
	<header class="jumbotron jumbotron-fluid bg-danger full-height text-center">
		<div class="container">
			<div class="row">
				<div class="col-md-10 col-md-offset-1 col-lg-8 col-lg-offset-2">
					<h1 class="display-3"><?php _e("Oops!", "membermambo"); ?></h1>
					<p class="lead margin-bottom"><?php _e("Sie müssen sich anmelden und diesen Kurs kaufen!", "membermambo"); ?></p>
				</div>
			</div>
		</div>
	</header>
	<?php } 
	}
	?>

<?php endwhile; ?>


<?php get_footer(); ?>
